Version 9.14.2

Started:

Finished:

Status: succeess

Version 9.14.1

Started:

Finished:

Status: succeess

Version 9.14.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 43, in _handle
    assert lib.version(settings.HLJS_SOURCE) == version
AssertionError

Version 9.14.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 43, in _handle
    assert lib.version(settings.HLJS_SOURCE) == version
AssertionError

Version 9.14.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 43, in _handle
    assert lib.version(settings.HLJS_SOURCE) == version
AssertionError

Version 9.13.1

Started:

Finished:

Status: succeess

Version 9.13.0

Started:

Finished:

Status: succeess

Version 9.13.0

Started:

Finished:

Status: succeess

Version 9.13.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 103, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 96, in _handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.6/subprocess.py", line 336, in check_output
    **kwargs).stdout
  File "/usr/lib/python3.6/subprocess.py", line 418, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1.


npm ERR! publish Failed PUT 401
npm ERR! Linux 4.17.14-x86_64-linode113
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "publish" "build"
npm ERR! node v8.10.0
npm ERR! npm  v3.5.2
npm ERR! code E401

npm ERR! You must be logged in to publish packages. : highlight.js
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /home/maniac/code/highlight/npm-debug.log

Version 9.13.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 103, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 50, in _handle
    run(['npm', 'update'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.6/subprocess.py", line 336, in check_output
    **kwargs).stdout
  File "/usr/lib/python3.6/subprocess.py", line 418, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['npm', 'update']' returned non-zero exit status 1.


npm WARN deprecated @types/commander@2.12.2: This is a stub types definition for commander (https://github.com/tj/commander.js). commander provides its own type definitions, so you don't need @types/commander installed!
pify@2.3.0 node_modules/globby/node_modules/pify -> node_modules/del/node_modules/globby/node_modules/pify
mkdirp@0.5.1 node_modules/js-beautify/node_modules/mkdirp -> node_modules/mkdirp
path-is-absolute@1.0.1 node_modules/glob/node_modules/path-is-absolute -> node_modules/path-is-absolute
path-is-inside@1.0.2 node_modules/del/node_modules/is-path-in-cwd/node_modules/is-path-inside/node_modules/path-is-inside -> node_modules/path-is-inside
pinkie@2.0.4 node_modules/del/node_modules/pinkie-promise/node_modules/pinkie -> node_modules/pinkie
pinkie-promise@2.0.1 node_modules/del/node_modules/pinkie-promise -> node_modules/pinkie-promise
proto-list@1.2.4 node_modules/js-beautify/node_modules/config-chain/node_modules/proto-list -> node_modules/proto-list
pseudomap@1.0.2 node_modules/js-beautify/node_modules/editorconfig/node_modules/lru-cache/node_modules/pseudomap -> node_modules/pseudomap
sigmund@1.0.1 node_modules/js-beautify/node_modules/editorconfig/node_modules/sigmund -> node_modules/sigmund
wrappy@1.0.2 node_modules/glob/node_modules/inflight/node_modules/wrappy -> node_modules/wrappy
once@1.4.0 node_modules/glob/node_modules/once -> node_modules/once
inflight@1.0.6 node_modules/glob/node_modules/inflight -> node_modules/inflight
- is-path-in-cwd node_modules/del/node_modules/is-path-in-cwd
- is-path-inside node_modules/del/node_modules/is-path-in-cwd/node_modules/is-path-inside
- config-chain node_modules/js-beautify/node_modules/config-chain
- editorconfig node_modules/js-beautify/node_modules/editorconfig
- lru-cache node_modules/js-beautify/node_modules/editorconfig/node_modules/lru-cache
highlight.js@9.13.0 /home/maniac/code/highlight
├── bluebird@3.5.2 
├── browser-stdout@1.3.1  extraneous
├── commander@2.19.0 
├── config-chain@1.1.12  extraneous
├── debug@3.1.0  extraneous
├── del@3.0.0 
├── diff@3.5.0  extraneous
├── editorconfig@0.15.0  extraneous
├── escape-string-regexp@1.0.5  extraneous
├── glob@7.1.3 
├── growl@1.10.5  extraneous
├── he@1.1.1  extraneous
├── lodash@4.17.11 
├── nopt@4.0.1  extraneous
├── should@13.2.3 
├── supports-color@5.4.0  extraneous
└── tiny-worker@2.1.2 

npm WARN enoent ENOENT: no such file or directory, open '/home/maniac/code/highlight/node_modules/globby/package.json'
npm ERR! Linux 4.17.14-x86_64-linode113
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "update"
npm ERR! node v8.10.0
npm ERR! npm  v3.5.2
npm ERR! path /home/maniac/code/highlight/node_modules/js-beautify/node_modules/.bin/mkdirp
npm ERR! code EEXIST

npm ERR! Refusing to delete /home/maniac/code/highlight/node_modules/js-beautify/node_modules/.bin/mkdirp: containing path /home/maniac/code/highlight/node_modules/js-beautify/node_modules/mkdirp isn't under npm's control
npm ERR! File exists: /home/maniac/code/highlight/node_modules/js-beautify/node_modules/.bin/mkdirp
npm ERR! Move it away, and try again.

npm ERR! Please include the following file with any support request:
npm ERR!     /home/maniac/code/highlight/npm-debug.log

Version 9.13.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 103, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 33, in _handle
    os.chdir(settings.HLJS_SOURCE)
FileNotFoundError: [Errno 2] No such file or directory: '../highlight.js'

Version 9.13.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 103, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 50, in _handle
    run(['npm', 'update'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.6/subprocess.py", line 336, in check_output
    **kwargs).stdout
  File "/usr/lib/python3.6/subprocess.py", line 418, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['npm', 'update']' returned non-zero exit status 1.


npm WARN deprecated @types/commander@2.12.2: This is a stub types definition for commander (https://github.com/tj/commander.js). commander provides its own type definitions, so you don't need @types/commander installed!
array-uniq@1.0.3 node_modules/del/node_modules/globby/node_modules/array-union/node_modules/array-uniq -> node_modules/array-uniq
array-union@1.0.2 node_modules/del/node_modules/globby/node_modules/array-union -> node_modules/array-union
- graceful-readlink@1.0.1 node_modules/commander/node_modules/graceful-readlink
concat-map@0.0.1 node_modules/glob/node_modules/minimatch/node_modules/brace-expansion/node_modules/concat-map -> node_modules/concat-map
- arrify@1.0.1 node_modules/del/node_modules/globby/node_modules/arrify
- is-path-inside@1.0.0 node_modules/del/node_modules/is-path-in-cwd/node_modules/is-path-inside
- is-path-in-cwd@1.0.0 node_modules/del/node_modules/is-path-in-cwd
- object-assign@4.1.0 node_modules/del/node_modules/object-assign
- globby@5.0.0 node_modules/del/node_modules/globby
- rimraf@2.5.4 node_modules/del/node_modules/rimraf
fs.realpath@1.0.0 node_modules/glob/node_modules/fs.realpath -> node_modules/fs.realpath
- balanced-match@0.4.2 node_modules/glob/node_modules/minimatch/node_modules/brace-expansion/node_modules/balanced-match
- brace-expansion@1.1.7 node_modules/glob/node_modules/minimatch/node_modules/brace-expansion
- wrappy@1.0.2 node_modules/glob/node_modules/once/node_modules/wrappy
pify@2.3.0 node_modules/del/node_modules/pify -> node_modules/globby/node_modules/pify
inherits@2.0.3 node_modules/glob/node_modules/inherits -> node_modules/inherits
is-path-cwd@1.0.0 node_modules/del/node_modules/is-path-cwd -> node_modules/is-path-cwd
- ini@1.3.4 node_modules/js-beautify/node_modules/config-chain/node_modules/ini
- config-chain@1.1.11 node_modules/js-beautify/node_modules/config-chain
- lru-cache@3.2.0 node_modules/js-beautify/node_modules/editorconfig/node_modules/lru-cache
- editorconfig@0.13.2 node_modules/js-beautify/node_modules/editorconfig
- abbrev@1.1.0 node_modules/js-beautify/node_modules/nopt/node_modules/abbrev
- nopt@3.0.6 node_modules/js-beautify/node_modules/nopt
minimatch@3.0.4 node_modules/glob/node_modules/minimatch -> node_modules/minimatch
minimist@0.0.8 node_modules/js-beautify/node_modules/mkdirp/node_modules/minimist -> node_modules/minimist
mkdirp@0.5.1 node_modules/js-beautify/node_modules/mkdirp -> node_modules/mkdirp
- ms@0.7.1 node_modules/mocha/node_modules/debug/node_modules/ms
- debug@2.2.0 node_modules/mocha/node_modules/debug
- diff@1.4.0 node_modules/mocha/node_modules/diff
- escape-string-regexp@1.0.2 node_modules/mocha/node_modules/escape-string-regexp
- inherits@2.0.1 node_modules/mocha/node_modules/glob/node_modules/inherits
- lru-cache@2.7.3 node_modules/mocha/node_modules/glob/node_modules/minimatch/node_modules/lru-cache
- sigmund@1.0.1 node_modules/mocha/node_modules/glob/node_modules/minimatch/node_modules/sigmund
- minimatch@0.3.0 node_modules/mocha/node_modules/glob/node_modules/minimatch
- growl@1.9.2 node_modules/mocha/node_modules/growl
- commander@0.6.1 node_modules/mocha/node_modules/jade/node_modules/commander
- mkdirp@0.3.0 node_modules/mocha/node_modules/jade/node_modules/mkdirp
- jade@0.26.3 node_modules/mocha/node_modules/jade
- minimist@0.0.8 node_modules/mocha/node_modules/mkdirp/node_modules/minimist
- mkdirp@0.5.1 node_modules/mocha/node_modules/mkdirp
- supports-color@1.2.0 node_modules/mocha/node_modules/supports-color
- to-iso-string@0.0.2 node_modules/mocha/node_modules/to-iso-string
path-is-absolute@1.0.1 node_modules/glob/node_modules/path-is-absolute -> node_modules/path-is-absolute
path-is-inside@1.0.2 node_modules/del/node_modules/is-path-in-cwd/node_modules/is-path-inside/node_modules/path-is-inside -> node_modules/path-is-inside
pinkie@2.0.4 node_modules/del/node_modules/pinkie-promise/node_modules/pinkie -> node_modules/pinkie
pinkie-promise@2.0.1 node_modules/del/node_modules/pinkie-promise -> node_modules/pinkie-promise
proto-list@1.2.4 node_modules/js-beautify/node_modules/config-chain/node_modules/proto-list -> node_modules/proto-list
pseudomap@1.0.2 node_modules/js-beautify/node_modules/editorconfig/node_modules/lru-cache/node_modules/pseudomap -> node_modules/pseudomap
- should-type@1.0.2 node_modules/should/node_modules/should-type
- should-format@1.0.0 node_modules/should/node_modules/should-format
- should-equal@1.0.0 node_modules/should/node_modules/should-equal
sigmund@1.0.1 node_modules/js-beautify/node_modules/editorconfig/node_modules/sigmund -> node_modules/sigmund
wrappy@1.0.2 node_modules/glob/node_modules/inflight/node_modules/wrappy -> node_modules/wrappy
once@1.4.0 node_modules/glob/node_modules/once -> node_modules/once
inflight@1.0.6 node_modules/glob/node_modules/inflight -> node_modules/inflight
highlight.js@9.13.0 /home/maniac/code/highlight
├── bluebird@3.5.2 
├── browser-stdout@1.3.1  extraneous
├── commander@2.19.0 
├── config-chain@1.1.12  extraneous
├── debug@3.1.0  extraneous
├── del@3.0.0 
├── diff@3.5.0  extraneous
├── editorconfig@0.15.0  extraneous
├── escape-string-regexp@1.0.5  extraneous
├── glob@7.1.3 
├── growl@1.10.5  extraneous
├── he@1.1.1  extraneous
├── lodash@4.17.11 
├── nopt@4.0.1  extraneous
├── should@13.2.3 
├── supports-color@5.4.0  extraneous
└── tiny-worker@2.1.2 

npm ERR! Linux 4.17.14-x86_64-linode113
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "update"
npm ERR! node v8.10.0
npm ERR! npm  v3.5.2
npm ERR! path /home/maniac/code/highlight/node_modules/js-beautify/node_modules/.bin/mkdirp
npm ERR! code EEXIST

npm ERR! Refusing to delete /home/maniac/code/highlight/node_modules/js-beautify/node_modules/.bin/mkdirp: containing path /home/maniac/code/highlight/node_modules/js-beautify/node_modules/mkdirp isn't under npm's control
npm ERR! File exists: /home/maniac/code/highlight/node_modules/js-beautify/node_modules/.bin/mkdirp
npm ERR! Move it away, and try again.

npm ERR! Please include the following file with any support request:
npm ERR!     /home/maniac/code/highlight/npm-debug.log

Version 9.12.0

Started:

Finished:

Status: succeess

Version 9.11.0

Started:

Finished:

Status: succeess

Version 9.10.0

Started:

Finished:

Status: succeess

Version 9.9.0

Started:

Finished:

Status: succeess

Version 9.8.0

Started:

Finished:

Status: succeess

Version 9.8.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 103, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 79, in _handle
    call_command('collectstatic', interactive=False)
  File "/home/maniac/hljs_org/venv/lib/python3.5/site-packages/django/core/management/__init__.py", line 130, in call_command
    return command.execute(*args, **defaults)
  File "/home/maniac/hljs_org/venv/lib/python3.5/site-packages/django/core/management/base.py", line 356, in execute
    output = self.handle(*args, **options)
  File "/home/maniac/hljs_org/venv/lib/python3.5/site-packages/django/contrib/staticfiles/management/commands/collectstatic.py", line 193, in handle
    collected = self.collect()
  File "/home/maniac/hljs_org/venv/lib/python3.5/site-packages/django/contrib/staticfiles/management/commands/collectstatic.py", line 115, in collect
    for path, storage in finder.list(self.ignore_patterns):
  File "/home/maniac/hljs_org/venv/lib/python3.5/site-packages/django/contrib/staticfiles/finders.py", line 112, in list
    for path in utils.get_files(storage, ignore_patterns):
  File "/home/maniac/hljs_org/venv/lib/python3.5/site-packages/django/contrib/staticfiles/utils.py", line 28, in get_files
    directories, files = storage.listdir(location)
  File "/home/maniac/hljs_org/venv/lib/python3.5/site-packages/django/core/files/storage.py", line 399, in listdir
    for entry in os.listdir(path):
FileNotFoundError: [Errno 2] No such file or directory: '/home/maniac/code/highlight.js/build'

Version 9.7.0

Started:

Finished:

Status: succeess

Version 9.6.0

Started:

Finished:

Status: succeess

Version 9.5.0

Started:

Finished:

Status: succeess

Version 9.4.0

Started:

Finished:

Status: succeess

Version 9.3.0

Started:

Finished:

Status: succeess

Version 9.2.0

Started:

Finished:

Status: succeess

Version 9.1.0

Started:

Finished:

Status: succeess

Version 9.0.0

Started:

Finished:

Status: succeess

Version 8.9.1

Started:

Finished:

Status: succeess

Version 8.9.1

Started:

Finished:

Status: succeess

Version 8.9.0

Started:

Finished:

Status: succeess

Version 8.8.0

Started:

Finished:

Status: succeess

Version 8.8.0

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 105, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 43, in _handle
    conf = open('docs/conf.py').read()
  File "/usr/lib/python3.4/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1425: ordinal not in range(128)

Version 8.7

Started:

Finished:

Status: succeess

Version 8.7

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 71, in _handle
    run(['git', 'push'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.4/subprocess.py", line 616, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['git', 'push']' returned non-zero exit status 1


warning: push.default is unset; its implicit value is changing in
Git 2.0 from 'matching' to 'simple'. To squelch this message
and maintain the current behavior after the default changes, use:

  git config --global push.default matching

To squelch this message and adopt the new behavior now, use:

  git config --global push.default simple

When push.default is set to 'matching', git will push local branches
to the remote branches that already exist with the same name.

In Git 2.0, Git will default to the more conservative 'simple'
behavior, which only pushes the current branch to the corresponding
remote branch that 'git pull' uses to update the current branch.

See 'git help config' and search for 'push.default' for further information.
(the 'simple' mode was introduced in Git 1.7.11. Use the similar mode
'current' instead of 'simple' if you sometimes use older versions of Git)

To git@github.com:highlightjs/cdn-release.git
 ! [rejected]        master -> master (fetch first)
error: failed to push some refs to 'git@github.com:highlightjs/cdn-release.git'
hint: Updates were rejected because the remote contains work that you do
hint: not have locally. This is usually caused by another repository pushing
hint: to the same ref. You may want to first integrate the remote changes
hint: (e.g., 'git pull ...') before pushing again.
hint: See the 'Note about fast-forwards' in 'git push --help' for details.

Version 8.6

Started:

Finished:

Status: succeess

Version 8.5

Started:

Finished:

Status: succeess

Version 8.5

Started:

Finished:

Status: succeess

Version 8.5

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 93, in _handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.4/subprocess.py", line 616, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1


npm http PUT https://registry.npmjs.org/highlight.js
npm http 401 https://registry.npmjs.org/highlight.js
npm ERR! publish Failed PUT response undefined
npm ERR! Error: login error
npm ERR!     at RegClient.<anonymous> (/usr/lib/nodejs/npm/node_modules/npm-registry-client/lib/request.js:82:22)
npm ERR!     at CouchLogin.<anonymous> (/usr/lib/nodejs/npm/node_modules/npm-registry-client/node_modules/couch-login/couch-login.js:177:14)
npm ERR!     at CouchLogin.<anonymous> (/usr/lib/nodejs/npm/node_modules/npm-registry-client/node_modules/couch-login/couch-login.js:159:46)
npm ERR!     at Request.self.callback (/usr/lib/nodejs/npm/node_modules/request/request.js:129:22)
npm ERR!     at Request.EventEmitter.emit (events.js:98:17)
npm ERR!     at Request.<anonymous> (/usr/lib/nodejs/npm/node_modules/request/request.js:873:14)
npm ERR!     at Request.EventEmitter.emit (events.js:117:20)
npm ERR!     at IncomingMessage.<anonymous> (/usr/lib/nodejs/npm/node_modules/request/request.js:824:12)
npm ERR!     at IncomingMessage.EventEmitter.emit (events.js:117:20)
npm ERR!     at _stream_readable.js:920:16
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.18.5-x86-linode70
npm ERR! command "node" "/usr/bin/npm" "publish" "build"
npm ERR! cwd /home/maniac/code/highlight
npm ERR! node -v v0.10.25
npm ERR! npm -v 1.3.12
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/maniac/code/highlight/npm-debug.log
npm ERR! not ok code 0

Version 8.5

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 93, in _handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.4/subprocess.py", line 616, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1


npm http PUT https://registry.npmjs.org/highlight.js
npm http 401 https://registry.npmjs.org/highlight.js
npm ERR! publish Failed PUT response undefined
npm ERR! Error: login error
npm ERR!     at RegClient.<anonymous> (/usr/lib/nodejs/npm/node_modules/npm-registry-client/lib/request.js:82:22)
npm ERR!     at CouchLogin.<anonymous> (/usr/lib/nodejs/npm/node_modules/npm-registry-client/node_modules/couch-login/couch-login.js:177:14)
npm ERR!     at CouchLogin.<anonymous> (/usr/lib/nodejs/npm/node_modules/npm-registry-client/node_modules/couch-login/couch-login.js:159:46)
npm ERR!     at Request.self.callback (/usr/lib/nodejs/npm/node_modules/request/request.js:129:22)
npm ERR!     at Request.EventEmitter.emit (events.js:98:17)
npm ERR!     at Request.<anonymous> (/usr/lib/nodejs/npm/node_modules/request/request.js:873:14)
npm ERR!     at Request.EventEmitter.emit (events.js:117:20)
npm ERR!     at IncomingMessage.<anonymous> (/usr/lib/nodejs/npm/node_modules/request/request.js:824:12)
npm ERR!     at IncomingMessage.EventEmitter.emit (events.js:117:20)
npm ERR!     at _stream_readable.js:920:16
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.18.5-x86-linode70
npm ERR! command "node" "/usr/bin/npm" "publish" "build"
npm ERR! cwd /home/maniac/code/highlight
npm ERR! node -v v0.10.25
npm ERR! npm -v 1.3.12
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/maniac/code/highlight/npm-debug.log
npm ERR! not ok code 0

Version 8.5

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 36, in _handle
    run(['git', 'pull', '-f'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.4/subprocess.py", line 616, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['git', 'pull', '-f']' returned non-zero exit status 1


Auto-merging CHANGES.md
CONFLICT (content): Merge conflict in CHANGES.md
Automatic merge failed; fix conflicts and then commit the result.

Version 8.5

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 36, in _handle
    run(['git', 'pull', '-f'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.4/subprocess.py", line 616, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['git', 'pull', '-f']' returned non-zero exit status 1


From github.com:isagalaev/highlight.js
 + 7a0812b...1ad0fc2 master     -> origin/master  (forced update)
Auto-merging CHANGES.md
CONFLICT (content): Merge conflict in CHANGES.md
Automatic merge failed; fix conflicts and then commit the result.

Version 8.5

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 104, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 41, in _handle
    assert lib.version(settings.HLJS_SOURCE) == version
AssertionError

Version 8.4

Started:

Finished:

Status: succeess

Version 8.4

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 101, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 48, in _handle
    run(['nodejs', 'tools/build.js', '--target', 'cdn', 'none'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 19, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.4/subprocess.py", line 616, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['nodejs', 'tools/build.js', '--target', 'cdn', 'none']' returned non-zero exit status 8


Starting build.
Building highlight.js pack file.
Building language files.
Building style files.
Compressing style files.
Writing style files.

/home/maniac/code/highlight/node_modules/gear/lib/registry.js:110
            throw new Error('Task ' + name + ' doesn\'t exist');
                  ^
Error: Task dest doesn't exist
    at Object.Registry.task (/home/maniac/code/highlight/node_modules/gear/lib/registry.js:110:19)
    at Queue._dispatch (/home/maniac/code/highlight/node_modules/gear/lib/queue.js:58:31)
    at Array.1 (/home/maniac/code/highlight/node_modules/gear/lib/tasks/tasks.js:34:18)
    at listener (/home/maniac/code/highlight/node_modules/gear/node_modules/async/lib/async.js:493:46)
    at /home/maniac/code/highlight/node_modules/gear/node_modules/async/lib/async.js:444:17
    at Array.forEach (native)
    at _each (/home/maniac/code/highlight/node_modules/gear/node_modules/async/lib/async.js:46:24)
    at Object.taskComplete (/home/maniac/code/highlight/node_modules/gear/node_modules/async/lib/async.js:443:13)
    at processImmediate [as _immediateCallback] (timers.js:330:15)

Version 8.4

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 101, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 42, in _handle
    assert re.search(r'"version"\s*:\s*"%s"' % node_version, open('package.json').read()) is not None
AssertionError

Version 8.4

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 101, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 42, in _handle
    assert re.search(r'"version"\s*:\s*"%s"' % node_version, open('package.json').read()) is not None
AssertionError

Version 8.3

Started:

Finished:

Status: succeess

Version 8.2

Started:

Finished:

Status: succeess

Version 8.2

Started:

Finished:

Status: succeess

Version 8.2

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 77, in handle
    self._handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 41, in _handle
    assert re.search('"version" : "%s"' % node_version, open('src/package.json').read()) is not None
FileNotFoundError: [Errno 2] No such file or directory: 'src/package.json'

Version 8.1

Started:

Finished:

Status: succeess

Version 8.1

Started:

Finished:

Status: succeess

Version 8.1

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 72, in handle
    self.do_handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 61, in do_handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 18, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.3/subprocess.py", line 586, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1


npm http PUT https://registry.npmjs.org/highlight.js
npm http 201 https://registry.npmjs.org/highlight.js
npm http GET https://registry.npmjs.org/highlight.js
npm http 200 https://registry.npmjs.org/highlight.js
npm ERR! publish fail Cannot publish over existing version.
npm ERR! publish fail Update the 'version' field in package.json and try again.
npm ERR! publish fail 
npm ERR! publish fail If the previous version was published in error, see:
npm ERR! publish fail     npm help unpublish
npm ERR! publish fail 
npm ERR! publish fail To automatically increment version numbers, see:
npm ERR! publish fail     npm help version

npm ERR! System Linux 3.14.1-x86-linode58
npm ERR! command "node" "/usr/bin/npm" "publish" "build"
npm ERR! cwd /home/maniac/code/highlight
npm ERR! node -v v0.10.21
npm ERR! npm -v 1.3.12
npm ERR! code EPUBLISHCONFLICT
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/maniac/code/highlight/npm-debug.log
npm ERR! not ok code 0

Version 8.1

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 69, in handle
    self.do_handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 58, in do_handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 18, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.3/subprocess.py", line 586, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1


npm http PUT https://registry.npmjs.org/highlight.js
npm http 201 https://registry.npmjs.org/highlight.js
npm http GET https://registry.npmjs.org/highlight.js
npm http 200 https://registry.npmjs.org/highlight.js
npm ERR! publish fail Cannot publish over existing version.
npm ERR! publish fail Update the 'version' field in package.json and try again.
npm ERR! publish fail 
npm ERR! publish fail If the previous version was published in error, see:
npm ERR! publish fail     npm help unpublish
npm ERR! publish fail 
npm ERR! publish fail To automatically increment version numbers, see:
npm ERR! publish fail     npm help version

npm ERR! System Linux 3.14.1-x86-linode58
npm ERR! command "node" "/usr/bin/npm" "publish" "build"
npm ERR! cwd /home/maniac/code/highlight
npm ERR! node -v v0.10.21
npm ERR! npm -v 1.3.12
npm ERR! code EPUBLISHCONFLICT
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/maniac/code/highlight/npm-debug.log
npm ERR! not ok code 0

Version 8.1

Started:

Finished:

Status: succeess

Version 8.1

Started:

Finished:

Status: succeess

Version 8.1

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 69, in handle
    self.do_handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 58, in do_handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 18, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.3/subprocess.py", line 586, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1


npm http PUT https://registry.npmjs.org/highlight.js
npm http 201 https://registry.npmjs.org/highlight.js
npm http GET https://registry.npmjs.org/highlight.js
npm http 200 https://registry.npmjs.org/highlight.js
npm ERR! publish fail Cannot publish over existing version.
npm ERR! publish fail Update the 'version' field in package.json and try again.
npm ERR! publish fail 
npm ERR! publish fail If the previous version was published in error, see:
npm ERR! publish fail     npm help unpublish
npm ERR! publish fail 
npm ERR! publish fail To automatically increment version numbers, see:
npm ERR! publish fail     npm help version

npm ERR! System Linux 3.14.1-x86-linode58
npm ERR! command "node" "/usr/bin/npm" "publish" "build"
npm ERR! cwd /home/maniac/code/highlight
npm ERR! node -v v0.10.21
npm ERR! npm -v 1.3.12
npm ERR! code EPUBLISHCONFLICT
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/maniac/code/highlight/npm-debug.log
npm ERR! not ok code 0

Version 8.1

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 70, in handle
    self.do_handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 57, in do_handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 18, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.3/subprocess.py", line 586, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1


npm ERR! need auth auth and email required for publishing
npm ERR! need auth You need to authorize this machine using `npm adduser`

npm ERR! System Linux 3.14.1-x86-linode58
npm ERR! command "node" "/usr/bin/npm" "publish" "build"
npm ERR! cwd /home/maniac/code/highlight
npm ERR! node -v v0.10.21
npm ERR! npm -v 1.3.12
npm ERR! code ENEEDAUTH
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/maniac/code/highlight/npm-debug.log
npm ERR! not ok code 0

Version 8.1

Started:

Finished:

Status: failed

Traceback (most recent call last):
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 70, in handle
    self.do_handle(version)
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 57, in do_handle
    run(['npm', 'publish', 'build'])
  File "/home/maniac/hljs_org/hljs_org/management/commands/updatehljs.py", line 18, in run
    return subprocess.check_output(args, stderr=subprocess.STDOUT)
  File "/usr/lib/python3.3/subprocess.py", line 586, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command '['npm', 'publish', 'build']' returned non-zero exit status 1


npm ERR! need auth auth and email required for publishing
npm ERR! need auth You need to authorize this machine using `npm adduser`

npm ERR! System Linux 3.14.1-x86-linode58
npm ERR! command "node" "/usr/bin/npm" "publish" "build"
npm ERR! cwd /home/maniac/code/highlight
npm ERR! node -v v0.10.21
npm ERR! npm -v 1.3.12
npm ERR! code ENEEDAUTH
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/maniac/code/highlight/npm-debug.log
npm ERR! not ok code 0

Version 8.0

Started:

Finished:

Status: succeess

Version 8.0

Started:

Finished:

Status: succeess